/*
 * Copyright (c) 2002, Roscoe Rush. All Rights Reserved.
 *
 * The contents of this file are subject to the Common Public License
 * Version 0.5 (the "License"). You may not use this file except in
 * compliance with the License. A copy of the License is available at
 * http://www.eclipse.org/
 *
 */
package com.r2tech.eclipse.antview.views;

import org.eclipse.jface.viewers.Viewer;
import org.eclipse.jface.viewers.ViewerFilter;

import com.r2tech.eclipse.antview.core.IConstants;
import com.r2tech.eclipse.antview.preferences.Preferences;
import com.r2tech.eclipse.antview.tree.TargetNode;

public class AntViewFilter extends ViewerFilter implements IConstants {
     public AntViewFilter() { 
     	 super();
     }
     public boolean select(Viewer viewer, Object parentElement, Object element)  {
         if (element instanceof TargetNode) { 
        	if (TARGET_FILTER_DESCATTR.equals(Preferences.getString(PREF_TARGET_FILTER))) {
				if (null == ((TargetNode) element).getProperty("Description")) 
				   return false;
			}
         }
         return true;
     }
}
