/*
 * Copyright (c) 2002, Roscoe Rush. All Rights Reserved.
 *
 * The contents of this file are subject to the Common Public License
 * Version 0.5 (the "License"). You may not use this file except in
 * compliance with the License. A copy of the License is available at
 * http://www.eclipse.org/
 *
 */
package com.r2tech.eclipse.antview.tree;

import org.eclipse.swt.graphics.Image;

import com.r2tech.eclipse.antview.core.ResourceMgr;


public class ElementNode extends TreeNode {
    public ElementNode(String text) { 
    	super(text);
    }
	public Image getImage() {		          		   
		if (hasChildren()) { 
		   return ResourceMgr.getImage(IMAGE_ELEMENTS);
		} else {
		   return ResourceMgr.getImage(IMAGE_ELEMENT);
		}
	}    
}
